gnome-shell-extension-tiling-assistant (53-0ubuntu2) resolute; urgency=medium

  * debian/patches: Add initial support for GNOME 50.alpha

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 07 Jan 2026 14:21:21 +0800

gnome-shell-extension-tiling-assistant (53-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/p: Drop applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 04 Sep 2025 02:52:33 +0200

gnome-shell-extension-tiling-assistant (52-0ubuntu2) questing; urgency=medium

  * d/p: Refresh patches
  * d/p: Add initial support for GNOME 49
  * debian/control: Add dependency on GNOME 50

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 08 Jul 2025 02:15:50 +0200

gnome-shell-extension-tiling-assistant (52-0ubuntu1) questing; urgency=medium

  * New upstream release (LP: #2107755)
  * Merge with Debian, remaining changes:
    - Rename extension to gnome-shell-extension-ubuntu-tiling-assistant
    - debian/control: Suggests gnome-shell-extension-prefs
    - d/p: tilingWindowManager: Override window constraints style
  * debian/rules: Fixup gencontrol for Ubuntu

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 20 Jun 2025 14:26:48 +0200

gnome-shell-extension-tiling-assistant (51-2) unstable; urgency=medium

  * Automatically update supported GNOME Shell versions by parsing metadata.json
  * Try to improve dh_translations handling for Ubuntu (LP: #2106777)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Apr 2025 17:12:19 -0400

gnome-shell-extension-tiling-assistant (51-1ubuntu1) plucky; urgency=medium

  * Merge with Debian, remaining changes:
    - Rename extension to gnome-shell-extension-ubuntu-tiling-assistant
    - debian/control: Suggests gnome-shell-extension-prefs
    - d/p: tilingWindowManager: Override window constraints style

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 17 Mar 2025 11:59:32 +0100

gnome-shell-extension-tiling-assistant (51-1) unstable; urgency=medium

  * New upstream release (Closes: #1096055)
  * Remove GNOME 48 patch: applied in new release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Mar 2025 05:35:56 -0500

gnome-shell-extension-tiling-assistant (50-1ubuntu1) plucky; urgency=medium

  * Merge with Debian, remaining changes:
    - Rename extension to gnome-shell-extension-ubuntu-tiling-assistant
    - debian/control: Suggests gnome-shell-extension-prefs
    - d/p: tilingWindowManager: Override window constraints style

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 21:41:17 -0500

gnome-shell-extension-tiling-assistant (50-1) experimental; urgency=medium

  * New upstream release
  * Remove gnome47.patch: applied in new release
  * Cherry-pick patch for GNOME Shell 48
  * Bump minimum GNOME Shell to 48

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 21:36:05 -0500

gnome-shell-extension-tiling-assistant (48-1ubuntu1) oracular; urgency=medium

  * Merge with Debian, remaining changes:
    - Rename extension to gnome-shell-extension-ubuntu-tiling-assistant
    - debian/control: Suggests gnome-shell-extension-prefs
    - d/p: tilingWindowManager: Override window constraints style

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 21:34:47 -0400

gnome-shell-extension-tiling-assistant (48-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 21:33:29 -0400

gnome-shell-extension-tiling-assistant (47-2ubuntu1) oracular; urgency=medium

  * Merge with Debian, remaining changes:
    - Rename extension to gnome-shell-extension-ubuntu-tiling-assistant
    - debian/control: Suggests gnome-shell-extension-prefs
    - d/p: tilingWindowManager: Override window constraints style
  * Drop git_panel_click.patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 17:34:41 -0400

gnome-shell-extension-tiling-assistant (47-2) unstable; urgency=medium

  * Add patch to mark compatible with GNOME Shell 47
  * Bump maximum GNOME Shell to 47

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 17:25:42 -0400

gnome-shell-extension-tiling-assistant (47-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Jul 2024 19:45:47 -0400

gnome-shell-extension-tiling-assistant (46-1ubuntu2) oracular; urgency=medium

  * debian/patches/git_panel_click.patch:
    - fix a bug where clicking on the top panel sometime triggers the
      tiling action (lp: #2064646)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Jun 2024 15:23:33 +0200

gnome-shell-extension-tiling-assistant (46-1ubuntu1) noble; urgency=medium

  * Merge with Debian, remaining changes:
    - Rename extension to gnome-shell-extension-ubuntu-tiling-assistant
    - debian/control: Suggests gnome-shell-extension-prefs
    - d/p: tilingWindowManager: Override window constraints style

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 11:02:38 -0400

gnome-shell-extension-tiling-assistant (46-1) experimental; urgency=medium

  * New upstream release
  * Drop GNOME 46 patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 10:59:44 -0400

gnome-shell-extension-tiling-assistant (44-2ubuntu1) noble; urgency=medium

  * Merge with Debian, remaining changes:
    - Rename extension to gnome-shell-extension-ubuntu-tiling-assistant
    - debian/control: Suggests gnome-shell-extension-prefs
    - d/p: tilingWindowManager: Override window constraints style

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Feb 2024 11:50:16 -0500

gnome-shell-extension-tiling-assistant (44-2) experimental; urgency=medium

  * debian/salsa-ci.yml: Use experimental
  * Stop using debian/control.in and dh_gnome_clean
  * Cherry-pick patch to support GNOME Shell 46
  * Bump maximum GNOME Shell version to 46

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Feb 2024 11:33:51 -0500

gnome-shell-extension-tiling-assistant (44-1ubuntu1) mantic; urgency=medium

  * Merge with debian, remaining changes:
    - Rename extension to gnome-shell-extension-ubuntu-tiling-assistant
    - debian/control: Suggests gnome-shell-extension-prefs
    - d/p: tilingWindowManager: Override window constraints style

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 11:46:07 -0400

gnome-shell-extension-tiling-assistant (44-1) experimental; urgency=medium

  * New upstream release
    - Officially support GNOME Shell 45 (Closes: #1052109) (LP: #2034664)
  * debian/control: Bump minimum GNOME Shell to 45 to match metadata.json
  * Drop all patches except locale patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 11:40:03 -0400

gnome-shell-extension-tiling-assistant (41-3) unstable; urgency=medium

  * debian/gbp.conf: Use debian/unstable branch
  * debian/control: Do not support gnome-shell 45

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 21 Aug 2023 18:20:18 +0200

gnome-shell-extension-tiling-assistant (41-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #1041580)
  * debian/control.in:
      - Bumped Standards-Version to 4.6.2.
      - Adjusted gnome-shell versions in Depends field in package stanza to
        support GNOME 43 to 45.
  * debian/copyright: updated packaging data.
  * debian/patches/series: commented out GNOME 45 support patches for now.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 21 Aug 2023 09:07:26 -0300

gnome-shell-extension-tiling-assistant (41-1+gnome45.2ubuntu1) mantic; urgency=medium

  * Merge with debian, remaining changes:
    - d/p: tilingWindowManager: Override window constraints style.
    - debian/control: Suggests gnome-shell-extension-prefs

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 02:09:10 +0200

gnome-shell-extension-tiling-assistant (41-1+gnome45.2) experimental; urgency=medium

  * debian/control: Depend on GNOME shell 45 only

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 02:01:15 +0200

gnome-shell-extension-tiling-assistant (41-1+gnome45.1) experimental; urgency=medium

  * debian/patches: Include GNOME 45 support patches

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 01:48:34 +0200

gnome-shell-extension-tiling-assistant (41-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop patches applied upstream
  * debian: Remove GUIDE.md from docs
  * debian/patches: Cherry-pick upstream fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 18 Aug 2023 01:44:18 +0200

gnome-shell-extension-tiling-assistant (39-3ubuntu2) lunar; urgency=medium

  * debian/control: Only suggests gnome-shell-extension-prefs.
    We handle the most relevant settings for ubuntu in g-c-c, no need to
    have a configuration tool in main.
    Related to lp:2007710

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Mar 2023 14:53:14 +0100

gnome-shell-extension-tiling-assistant (39-3ubuntu1) lunar; urgency=medium

  * Merge with debian
  * debian/patches: Update fixes to match upstreamed ones
  * debian/patches: Add more fixes to support GNOME 44
  * debian/patches: Add fixes to handle always-on-top windows
  * debian/patches: Add logic to always restore changed user settings
  * d/p: tilingWindowManager: Override window constraints style.
    Use ubuntu-only function to override window edge constraints so that tiled
    windows are correctly painted with no shadows and no rounded decorations.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Mar 2023 07:21:48 +0100

gnome-shell-extension-tiling-assistant (39-3) experimental; urgency=medium

  * Move Fabio from Maintainers to Uploaders. There can only be one Maintainer.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 18:42:45 -0400

gnome-shell-extension-tiling-assistant (39-2ubuntu1) lunar; urgency=medium

  * Merge with debian, remaining changes:
    - Conflict/Replace the Debian extension since it includes the same
      gsettings schema filename
    - debian/control: Update the package name to
      gnome-shell-extension-ubuntu-tiling-assistant
    - debian/{control,gbp.conf}: Use ubuntu branches references

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 07 Mar 2023 07:46:35 +0100

gnome-shell-extension-tiling-assistant (39-2) experimental; urgency=medium

  * debian/gbp.conf: Add gnome-team default parameters
  * debian: Make the extension UUID value tunable
  * debian/patches/010_update-locale.patch: Generalize to use UUID from
    debian/rules
  * debian/rules: Set a different UUID in ubuntu
  * debian/patches: Add patches to support GNOME 44
  * debian/control: Bump dependency on GNOME Shell << 45~
  * debian/control: Use dh-sequence-gnome and move under gnome-team umbrella
  * debian: Handle update-locale.sh execution via patch
  * debian/rules: Add ubuntu-specific install actions

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 07 Mar 2023 07:17:55 +0100

gnome-shell-extension-tiling-assistant (39-1ubuntu1) lunar; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Use an Ubuntu-specific extension UUID to prevent silent updates to
    a newer version hosted at https://extensions.gnome.org/
  * debian/control: Update the package name to
    gnome-shell-extension-ubuntu-tiling-assistant
  * debian/gbp.conf: Add gnome-team default parameters

  [ Jeremy Bicha ]
  * Conflict/Replace the Debian extension since it includes the same gsettings
    schema filename

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 10 Feb 2023 12:59:24 -0500

gnome-shell-extension-tiling-assistant (39-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: adjusted gnome-shell versions in Depends field in package
    stanza to remove support for GNOME 42.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 25 Nov 2022 15:48:10 -0300

gnome-shell-extension-tiling-assistant (36-1) unstable; urgency=medium

  * New upstream release. (Closes: #1018280)
  * debian/control: adjusted gnome-shell versions in Depends field in package
    stanza.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sat, 10 Sep 2022 09:43:39 -0300

gnome-shell-extension-tiling-assistant (35-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.6.1.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 29 Jul 2022 15:58:44 -0300

gnome-shell-extension-tiling-assistant (33-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/020_gnome42-compatibility-fixes.patch: removed, not needed
    anymore.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 09 May 2022 10:59:52 -0300

gnome-shell-extension-tiling-assistant (32-2) unstable; urgency=medium

  * debian/control: adjusted gnome-shell versions in Depends field in package
    stanza.
  * debian/patches/020_gnome42-compatibility-fixes.patch: added to make it
    compatible with gnome-shell 42. (Closes: #1008558)

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 25 Apr 2022 15:36:33 -0300

gnome-shell-extension-tiling-assistant (32-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: updated years.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 25 Jan 2022 10:44:09 -0300

gnome-shell-extension-tiling-assistant (31-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 13 Dec 2021 18:05:52 -0300

gnome-shell-extension-tiling-assistant (27-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 03 Nov 2021 08:34:34 -0300

gnome-shell-extension-tiling-assistant (26-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean: created to remove files left behind when building the
    package.
  * debian/control:
      - Added gettext to the Build-Depends field.
      - Minimum gnome-shell version set to 40 in the Depends field.
  * debian/install: updated.
  * debian/patches/010_update-locale.patch: added to update the locale files.
  * debian/rules:
    - Added override_dh_auto_build to run the script to update de locale files.
    - Added override_dh_install to install the locale files.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Fri, 15 Oct 2021 18:41:59 -0300

gnome-shell-extension-tiling-assistant (24-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
      - Added Recommends field to package stanza.
      - Adjusted gnome-shell versions in Depends field in package stanza.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 11 Oct 2021 19:16:30 -0300

gnome-shell-extension-tiling-assistant (24-1) experimental; urgency=medium

  * Initial release. (Closes: #995327)

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 29 Sep 2021 14:18:51 -0300
